* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  max-width: 100%;
}

body {
  font-family: Arial, sans-serif;
  overflow-x: hidden;
}

.header {
  height: 100px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 15px 50px;
  background: linear-gradient(90deg, #A136FF, #5E69E5);
  position: fixed;
  width: 100%;
  top: 0;
  z-index: 1000;
  flex-wrap: wrap;
}

.name {
  display: flex;
  align-items: center;
  margin-top: 20px;
}

 .icon {
  width: 26px;
  height: 26px;
} 

.menu button {
  gap: 60px;
  margin-top: 0px;
  padding: 10px 22px;
  border: none;
  color: #fff;
  font-size: 14px;
  border-radius: 6px;
  cursor: pointer;
  background: linear-gradient(90deg, #A136FF, #5E69E5);
  transition: .3s;
  white-space: nowrap;
}


.menu button:hover {
  background: #ff6b6b;
  transform: translateY(-3px);
}


.hero {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 140px 40px 80px;
  background: linear-gradient(90deg, #ff7665, #c06f7b, #4fa8ab);
  color: white;
  width: 100%;
  max-width: 100%;
  overflow: hidden;
}

.hero-left {
  width: 50%;
}

.hero-right {
  width: 50%;
  display: flex;
  justify-content: center;
}

.hero-left h2 {
  font-size: 40px;
  font-weight: 800;
  line-height: 1.1;
  margin-bottom: 20px;
}

.hero-left pre {
  font-size: 20px;
  margin-bottom: 25px;
}

.hero-buttons {
  display: flex;
  gap: 20px;
  margin-bottom: 30px;
}

.btn-primary {
  padding: 12px 26px;
  border-radius: 12px;
  border: none;
  font-size: 16px;
  font-weight: bold;
  background: linear-gradient(90deg, #7a4dfc, #00b1ff);
  color: white;
  cursor: pointer;
  transition: 0.3s;
}

.btn-primary:hover {
  transform: scale(1.05);
}

.btn-outline {
  padding: 12px 26px;
  border-radius: 12px;
  font-size: 16px;
  font-weight: bold;
  border: 2px solid #ffdf63;
  color: #ffdf63;
  background: transparent;
  cursor: pointer;
}

.btn-outline:hover {
  background: rgba(255, 255, 140, 0.2);
}


.profile-img {
  width: 300px;
  height: 300px;
  border-radius: 50%;
  border: 3px solid #ffdf63;
  object-fit: cover;
}

.profile-img:hover {
  box-shadow: 0 0 25px #7a4dfc;
}

.section {
  padding: 60px 120px;
  background: #fff;
  border-top: 2px solid #ff6f61;
}

.head {
  color: #ff6f61;
  font-size: 32px;
  font-weight: 700;
  margin-bottom: 20px;
}

.about p {
  max-width: 900px;
  font-size: 20px;
  line-height: 1.7;
  color: #4b5863;
}

.skills {
  display: flex;
  gap: 15px;
  flex-wrap: wrap;
}

.tag {
  padding: 10px 18px;
  border-radius: 50px;
  font-size: 14px;
  font-weight: 700;
  background: #2bbbad;
  color: white;
  transition: 0.3s;
}

.tag:hover {
  transform: translateY(-3px);
  background: linear-gradient(135deg, #ff7a6e, #ff8f7a);
}

.projects-section {
  padding: 40px 70px;
}

.projects-container {
  display: flex;
  flex-wrap: wrap;
  gap: 30px;
}

.project-card {
  flex: 1;
  min-width: 330px;
  padding: 30px;
  border-radius: 20px;
  background: linear-gradient(90deg, #684bff, #3ab8b0);
  transition: .3s;
  color: #111;
}

.project-card h2 {
  color: white;
  padding: 10px;
}

.project-card:hover {
  transform: translateY(-6px);
  background: linear-gradient(90deg, #ff5252, #4ea8a8);
}

.view-btn {
  display: inline-block;
  margin-top: 15px;
  padding: 10px 22px;
  background: rgba(255,255,255,0.4);
  border-radius: 18px;
  text-decoration: none;
  color: black;
  font-weight: 600;
}

.education {
  padding: 80px 120px;
}

.ed {
  background: white;
  padding: 25px;
  border-left: 5px solid #ff6f61;
  border-right: 5px solid #ff6f61;
  border-radius: 14px;
  margin-bottom: 25px;
  box-shadow: 0 4px 12px rgba(0,0,0,0.06);
}

.ed:hover {
  transform: translateY(-4px);
}

.contact-wrapper {
  display: flex;
  gap: 20px;
  max-width: 1100px;
  margin: auto;
}

.contact-card {
  flex: 2;
  padding: 35px;
  border-radius: 20px;
  background: linear-gradient(135deg, #4caf9f, #2c9c95);
  color: white;
}

.quick-card {
  flex: 1;
  padding: 30px;
  border-radius: 20px;
  background: linear-gradient(135deg, #e6b75c, #d79d3f);
}

@media (max-width: 992px) {
  .header {
    flex-direction: column;
    padding: 15px 20px;
    text-align: center;
  }

  .hero {
    flex-direction: column;
    text-align: center;
    padding: 140px 30px 60px;
  }

  .hero-left,
  .hero-right {
    width: 100%;
  }

  .profile-img {
    width: 240px;
    height: 240px;
  }

  .section, .education {
    padding: 40px 40px;
  }

  .contact-wrapper {
    flex-direction: column;
  }
}

@media (max-width: 480px) {
  .header {
    padding: 10px 12px;
  }

  .menu button {
    font-size: 12px;
    padding: 6px 10px;
  }

  .hero {
    padding: 170px 15px 50px;
  }

  .hero-left h2 {
    font-size: 26px;
  }

  .hero-left pre {
    font-size: 14px;
  }

  .profile-img {
    width: 160px;
    height: 160px;
  }

  .head {
    font-size: 26px;
  }
}